<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Request;
        
class CreateDocumentRequest implements \Bushelpowered\Api\Trade\Esign\V1\Request\CreateDocumentWithEncodedPdf
{
    public string $datasourceId;
    public ?string $customerTag = null;
    public ?string $title = null;
    public ?string $subject = null;
    public ?string $message = null;
    public \Bushelpowered\Api\Trade\Esign\V1\Model\Owner $owner;
    public \Bushelpowered\Api\Trade\Esign\V1\Model\Signer $signer;
    public bool $isSigned;
    public string $pdf;

    /**
     */
    public function __construct(string $datasourceId, ?string $customerTag, ?string $title, ?string $subject, ?string $message, \Bushelpowered\Api\Trade\Esign\V1\Model\Owner $owner, \Bushelpowered\Api\Trade\Esign\V1\Model\Signer $signer, bool $isSigned, string $pdf)
    {
        $this->datasourceId = $datasourceId;
        $this->customerTag = $customerTag;
        $this->title = $title;
        $this->subject = $subject;
        $this->message = $message;
        $this->owner = $owner;
        $this->signer = $signer;
        $this->isSigned = $isSigned;
        $this->pdf = $pdf;
    }
    
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    public function getCustomerTag(): ?string
    {
        return $this->customerTag;
    }
    public function getTitle(): ?string
    {
        return $this->title;
    }
    public function getSubject(): ?string
    {
        return $this->subject;
    }
    public function getMessage(): ?string
    {
        return $this->message;
    }
    public function getOwner(): \Bushelpowered\Api\Trade\Esign\V1\Model\Owner
    {
        return $this->owner;
    }
    public function getSigner(): \Bushelpowered\Api\Trade\Esign\V1\Model\Signer
    {
        return $this->signer;
    }
    public function getIsSigned(): bool
    {
        return $this->isSigned;
    }
    public function getPdf(): string
    {
        return $this->pdf;
    }
}