<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Response;
        
class CashBidGroupOverrideResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $companyId;
    public string $cqgSymbolId;
    public ?string $commodityName = null;
    public ?string $commodityProductName = null;
    public ?string $tickSize = null;
    public bool $display;
    public bool $ignoreUnitConversion;
    public int $sortOrder;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $companyId, string $cqgSymbolId, ?string $commodityName, ?string $commodityProductName, ?string $tickSize, bool $display, bool $ignoreUnitConversion, int $sortOrder, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->companyId = $companyId;
        $this->cqgSymbolId = $cqgSymbolId;
        $this->commodityName = $commodityName;
        $this->commodityProductName = $commodityProductName;
        $this->tickSize = $tickSize;
        $this->display = $display;
        $this->ignoreUnitConversion = $ignoreUnitConversion;
        $this->sortOrder = $sortOrder;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}